<?php
/**
 * @version     1.0.0
 * @package     com_docebo
 * @copyright   Copyright (C) 2013. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Docebo Srl. <info@docebo.com> - http://www.docebo.com
 */

// no direct access
defined('_JEXEC') or die;

JHtml::_('behavior.tooltip');
JHtml::_('behavior.formvalidation');
JHtml::_('behavior.keepalive');
// Import CSS
$document = JFactory::getDocument();
$document->addStyleSheet('components/com_docebo/assets/css/docebo.css');
?>
<script src="//ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js"></script>
<script type="text/javascript">
	Joomla.submitbutton = function (task) {

		if (task == 'mycourses.cancel' || document.formvalidator.isValid(document.id('mycourses-form'))) {
			Joomla.submitform(task, document.getElementById('mycourses-form'));
		}
		else {
			alert('<?php echo $this->escape(JText::_('JGLOBAL_VALIDATION_FORM_FAILED'));?>');
		}
	}
</script>

<form action="<?php echo JRoute::_('index.php?option=com_docebo&layout=edit&id=' . (int) $this->item->id); ?>"
      method="post" enctype="multipart/form-data" name="adminForm" id="mycourses-form" class="form-validate">
	<div class="width-60 fltlft">
		<fieldset class="adminform">
			<legend><?php echo JText::_('COM_DOCEBO_TITLE_MYCOURSESS'); ?></legend>
			<ul class="adminformlist">
				<input type="hidden" name="jform[id]" value="1"/>

				<li><span
						style="float:left;width:180px;"><?php echo JText::_('COM_DOCEBO_MYCOURSES_COURSEBLOCKWIDTH'); ?></span> <?php echo $this->form->getInput('width'); ?>
					(<?php echo JText::_('COM_DOCEBO_MYCOURSES_MINMAX') ?>)
				</li>
				<br/>
				<li><span
						style="float:left;width:180px"><?php echo JText::_('COM_DOCEBO_MYCOURSES_NUMCOURSES'); //$this->form->getLabel('width'); ?></span> <?php echo $this->form->getInput('no_of_course'); ?>
					(<?php echo JText::_('COM_DOCEBO_MYCOURSES_BLANK_DISPLAYS_ALL'); ?>)
				</li>
			</ul>
		</fieldset>
	</div>
	<input type="hidden" name="task" value=""/>
	<?php echo JHtml::_('form.token'); ?>
	<div class="clr"></div>
	<style type="text/css">
		/* Temporary fix for drifting editor fields */
		.adminformlist li {
			clear: both;
		}
	</style>
</form>
<style>
	.cblock-element {
		border-radius: 4px 4px 4px 4px;
		float:         left;
		margin:        0 15px 15px 0;
		overflow:      hidden;
		position:      relative;
	}

	.cblock-element a {
		color:           #FFFFFF;
		float:           left;
		text-decoration: none;
	}

	.cblock-element a:hover {
		color:           #FFFFFF;
		text-decoration: none;
	}

	.cblock-element img {
		position: relative;
		z-index:  -1;
	}

	.cblock-element p.coursename {
		background:      none repeat scroll 0 0 rgba(0, 0, 0, 0.75);
		bottom:          0;
		color:           #FFFFFF;
		display:         block;
		height:          35px;
		left:            0;
		margin:          0;
		padding:         10px;
		position:        absolute;
		text-decoration: none;
		width:           100%;
	}

	.cblock-element .course-status-icon {
		position: absolute;
		right:    0;
		top:      0;
		z-index:  1;
	}
</style>
<div>
	<?php
	$sync_scene = DoceboViewMycourses::check_sync_scene();
	if ($sync_scene == '0') {
		?>
		<p><?php echo JText::_('COM_DOCEBO_MYCOURSES_DESCRIPTION') ?></p>
		<?php
		$width = isset($this->item) && isset($this->item->width) ? $this->item->width : 230;
		$dwp_course_options['cblock_width'] = (int) $width; // Course Box Width
		$user = JFactory::getUser();
		$params = array('ext_user' => $user->get('id'), 'ext_user_type' => 'wordpress');
		$data = Api::call('user/userCourses/', $params);
		$course_block = json_decode($data);
		$count = 0;
		if (is_array($course_block) || is_object($course_block)) {
			$count = -1;
			foreach ($course_block as $courses) {
				$count++;
			}
		}
		$course_count = 0;
		$num_courses_displayed = (isset($this->item->no_of_course) ? (int) $this->item->no_of_course : 0);
		$display_all_courses = ($num_courses_displayed == 0);

		if (is_array($course_block) || is_object($course_block)) {
			foreach ($course_block as $courses) {
				if (isset($courses->course_info) && isset($courses->course_info->course_id)
					&& ($course_count < $num_courses_displayed || $display_all_courses)
				) {
					//echo $noc.'-'.$course_count.'-'.$num_courses_displayed.'-'.$display_all_courses;
					echo '<div class="cblock-element" style="width:' . $dwp_course_options['cblock_width'] . 'px; height:' . $dwp_course_options['cblock_width'] . 'px; ';
					if ($courses->course_info->courseuser_status == 2) {
						echo 'border: 4px solid #60c060;';
					} else {
						echo 'border: 4px solid #0465ac;';
					}
					echo '">';
					if ($courses->course_info->courseuser_status == 2) {
						?>
						<img class="course-status-icon"
						     src="<?php echo JURI::base(); ?>components/com_docebo/assets/images/icon_corner_complete.png"/>
					<?php
					} else {
						?>
						<img class="course-status-icon"
						     src="<?php echo JURI::base(); ?>components/com_docebo/assets/images/icon_corner_progress.png"/>
					<?php
					}
					echo '
							<a target="_blank" href="' . Api::sso($user->get('username')) . '&id_course=' . $courses->course_info->course_id . '">
								<div style="width:' . $dwp_course_options['cblock_width'] . 'px; height:' . $dwp_course_options['cblock_width'] . 'px; background:url(\'' . $courses->course_info->course_thumbnail . '\'); background-size: cover; position: relative; background-position: center;">
									<p class="coursename">' . $courses->course_info->course_name . '</p>
								</div>
							</a>
						</div><!--.cblock-element-->';
					echo '<div class="clear"></div>';
					$course_count++;
				}
			}
		}
		echo '<div class="clear"></div>';
		// end My Courses page
		?>
	<?php } else {
		echo '<p class="error">' .JText::_('COM_DOCEBO_MYCOURSES_NOT_ENABLED'). '</p>';
	} ?>
</div>