<?php
/**
 * @version     1.0.0
 * @package     com_docebo
 * @copyright   Copyright (C) 2013. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Docebo Srl. <info@docebo.com> - http://www.docebo.com
 */
// no direct access
defined('_JEXEC') or die;

JHtml::_('behavior.keepalive');
JHtml::_('behavior.tooltip');
JHtml::_('behavior.formvalidation');

//Load admin language file
$lang = JFactory::getLanguage();
$lang->load('com_docebo', JPATH_ADMINISTRATOR);
?>

<!-- Styling for making front end forms look OK -->
<!-- This should probably be moved to the template CSS file -->
<style>
	.front-end-edit ul {
		padding: 0 !important;
	}

	.front-end-edit li {
		list-style:    none;
		margin-bottom: 6px !important;
	}

	.front-end-edit label {
		margin-right: 10px;
		display:      block;
		float:        left;
		width:        200px !important;
	}

	.front-end-edit .radio label {
		float: none;
	}

	.front-end-edit .readonly {
		border: none !important;
		color:  #666;
	}

	.front-end-edit #editor-xtd-buttons {
		height: 50px;
		width:  600px;
		float:  left;
	}

	.front-end-edit .toggle-editor {
		height: 50px;
		width:  120px;
		float:  right;
	}

	#jform_rules-lbl {
		display: none;
	}

	#access-rules a:hover {
		background: #f5f5f5 url('../images/slider_minus.png') right top no-repeat;
		color:      #444;
	}

	fieldset.radio label {
		width: 50px !important;
	}
</style>
<script src="//ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>
<script type="text/javascript">
	js = jQuery.noConflict();
	js(document).ready(function () {
		js('#form-mycourses').submit(function () {

		});


	});
</script>

<div class="mycourses-edit front-end-edit">
	<?php if (!empty($this->item->id)): ?>
		<h1>Edit <?php echo $this->item->id; ?></h1>
	<?php else: ?>
		<h1>Add</h1>
	<?php endif; ?>


</div>
